
from sqlalchemy import create_engine, Table, Column, Integer, String, MetaData
from sqlalchemy.sql import select

def fetch_random_user(engine):
    # Define the metadata object
    metadata = MetaData()
    
    # Reflect the 'users' table from the database
    users = Table('users', metadata, autoload=True, autoload_with=engine)
    
    # Select a random user from the 'users' table
    select_statement = select([users]).order_by(func.random()).limit(1)
    
    # Execute the select statement
    with engine.connect() as connection:
        result = connection.execute(select_statement).fetchone()
    
    # Return the user's data
    return result

